Arbor 3: FSM & BT Graph Editor 3.6.8

List of all members
ParameterContainer Class Reference

パラメータを格納するためのコンポーネント。
GameObjectにアタッチして使用する。 More...

Inheritance diagram for ParameterContainer:

## Additional Inherited Members
Public Member Functions inherited from ParameterContainerInternal
Parameter | GetParameterFromIndex (int index)
| Parameterをインデックスから取得 More...
void | Refresh ()
| Editor only More...
Parameter | AddParam (string name, Parameter.Type type)
| パラメータを追加する。 More...
Parameter | GetParam (string name)
| 名前からパラメータを取得する。 More...
int | GetParamID (string name)
| 名前からパラメータのIDを取得する。 More...
Parameter | GetParam (int id)
| IDからパラメータを取得する。 More...
void | DeleteParam (Parameter parameter)
| パラメータを削除する。 More...
void | DeleteParam (string name)
| 名前を指定してパラメータを削除する。 More...
void | DeleteParam (int id)
| IDを指定してパラメータを削除する。 More...
string | MakeUniqueName (string name)
| 重複しない名前を生成する。 More...
bool | IsParameterType (string name, Parameter.Type type)
| パラメータの型を判定する。 More...
bool | IsParameterType (int id, Parameter.Type type)
| パラメータの型を判定する。 More...
bool | SetFloat (string name, float value)
| Float型の値を設定する。 More...
bool | SetFloat (int id, float value)
| Float型の値を設定する。 More...
bool | TryGetFloat (string name, out float value)
| Float型の値を取得する。 More...
bool | TryGetFloat (int id, out float value)
| Float型の値を取得する。 More...
float | GetFloat (string name, float defaultValue=0.0f)
| Float型の値を取得する。 More...
float | GetFloat (int id, float defaultValue=0.0f)
| Float型の値を取得する。 More...
bool | GetFloat (string name, out float value)
| Float型の値を取得する。 More...
bool | GetFloat (int id, out float value)
| Float型の値を取得する。 More...
bool | SetInt (string name, int value)
| Int型の値を設定する。 More...
bool | SetInt (int id, int value)
| Int型の値を設定する。 More...
bool | TryGetInt (string name, out int value)
| Int型の値を取得する。 More...
bool | TryGetInt (int id, out int value)
| Int型の値を取得する。 More...
int | GetInt (int id, int defaultValue=0)
| Int型の値を取得する。 More...
int | GetInt (string name, int defaultValue=0)
| Int型の値を取得する。 More...
bool | GetInt (string name, out int value)
| Int型の値を取得する。 More...
bool | GetInt (int id, out int value)
| Int型の値を取得する。 More...
bool | SetLong (string name, long value)
| Long型の値を設定する。 More...
bool | SetLong (int id, long value)
| Long型の値を設定する。 More...
bool | TryGetLong (string name, out long value)
| Long型の値を取得する。 More...
bool | TryGetLong (int id, out long value)
| Long型の値を取得する。 More...
long | GetLong (string name, long defaultValue=0L)
| Long型の値を取得する。 More...
long | GetLong (int id, long defaultValue=0L)
| Long型の値を取得する。 More...
bool | GetLong (string name, out long value)
| Long型の値を取得する。 More...
bool | GetLong (int id, out long value)
| Long型の値を取得する。 More...
bool | SetBool (string name, bool value)
| Bool型の値を設定する。 More...
bool | SetBool (int id, bool value)
| Bool型の値を設定する。 More...
bool | TryGetBool (string name, out bool value)
| Bool型の値を取得する。 More...
bool | TryGetBool (int id, out bool value)
| Bool型の値を取得する。 More...
bool | GetBool (string name, bool defaultValue=false)
| Bool型の値を取得する。 More...
bool | GetBool (int id, bool defaultValue=false)
| Bool型の値を取得する。 More...
bool | GetBool (string name, out bool value)
| Bool型の値を取得する。 More...
bool | GetBool (int id, out bool value)
| Bool型の値を取得する。 More...
bool | SetString (string name, string value)
| String型の値を設定する。 More...
bool | SetString (int id, string value)
| String型の値を設定する。 More...
bool | TryGetString (string name, out string value)
| String型の値を取得する。 More...
bool | TryGetString (int id, out string value)
| String型の値を取得する。 More...
string | GetString (string name, string defaultValue="")
| String型の値を取得する。 More...
string | GetString (int id, string defaultValue="")
| String型の値を取得する。 More...
bool | GetString (string name, out string value)
| String型の値を取得する。 More...
bool | GetString (int id, out string value)
| String型の値を取得する。 More...
bool | IsEnum (int id)
| パラメータがEnum型であるかどうかを返す。 More...
bool | IsEnum (string name)
| パラメータがEnum型であるかどうかを返す。 More...
bool | SetEnumInt (string name, int value)
| Enum型の値を設定する。 More...
bool | SetEnumInt (int id, int value)
| Enum型の値を設定する。 More...
bool | TryGetEnumInt (string name, out int value)
| Enum型の値を取得する。 More...
bool | TryGetEnumInt (int id, out int value)
| Enum型の値を取得する。 More...
int | GetEnumInt (string name, int defaultValue=default(int))
| Enum型の値を取得する。 More...
int | GetEnumInt (int id, int defaultValue=default(int))
| Enum型の値を取得する。 More...
bool | SetEnum (string name, System.Enum value)
| Enum型の値を設定する。 More...
bool | SetEnum (int id, System.Enum value)
| Enum型の値を設定する。 More...
bool | TryGetEnum (string name, out System.Enum value)
| Enum型の値を取得する。 More...
bool | TryGetEnum (int id, out System.Enum value)
| Enum型の値を取得する。 More...
System.Enum | GetEnum (string name, System.Enum defaultValue=null)
| Enum型の値を取得する。 More...
System.Enum | GetEnum (int id, System.Enum defaultValue=null)
| Enum型の値を取得する。 More...
bool | SetEnum< TEnum > (string name, TEnum value)
| Enum型の値を設定する。 More...
bool | SetEnum< TEnum > (int id, TEnum value)
| Enum型の値を設定する。 More...
bool | TryGetEnum< TEnum > (string name, out TEnum value)
| Enum型の値を取得する。 More...
bool | TryGetEnum< TEnum > (int id, out TEnum value)
| Enum型の値を取得する。 More...
TEnum | GetEnum< TEnum > (string name, TEnum defaultValue)
| Enum型の値を取得する。 More...
TEnum | GetEnum< TEnum > (string name)
| Enum型の値を取得する。 More...
TEnum | GetEnum< TEnum > (int id, TEnum defaultValue)
| Enum型の値を取得する。 More...
TEnum | GetEnum< TEnum > (int id)
| Enum型の値を取得する。 More...
bool | SetVector2 (string name, Vector2 value)
| Vector2型の値を設定する。 More...
bool | SetVector2 (int id, Vector2 value)
| Vector2型の値を設定する。 More...
bool | TryGetVector2 (string name, out Vector2 value)
| Vector2型の値を取得する。 More...
bool | TryGetVector2 (int id, out Vector2 value)
| Vector2型の値を取得する。 More...
Vector2 | GetVector2 (string name, Vector2 defaultValue)
| Vector2型の値を取得する。 More...
Vector2 | GetVector2 (string name)
| Vector2型の値を取得する。 More...
Vector2 | GetVector2 (int id, Vector2 defaultValue)
| Vector2型の値を取得する。 More...
Vector2 | GetVector2 (int id)
| Vector2型の値を取得する。 More...
bool | GetVector2 (string name, out Vector2 value)
| Vector2型の値を取得する。 More...
bool | GetVector2 (int id, out Vector2 value)
| Vector2型の値を取得する。 More...
bool | SetVector3 (string name, Vector3 value)
| Vector3型の値を設定する。 More...
bool | SetVector3 (int id, Vector3 value)
| Vector3型の値を設定する。 More...
bool | TryGetVector3 (string name, out Vector3 value)
| Vector3型の値を取得する。 More...
bool | TryGetVector3 (int id, out Vector3 value)
| Vector3型の値を取得する。 More...
Vector3 | GetVector3 (string name, Vector3 defaultValue)
| Vector3型の値を取得する。 More...
Vector3 | GetVector3 (string name)
| Vector3型の値を取得する。 More...
Vector3 | GetVector3 (int id, Vector3 defaultValue)
| Vector3型の値を取得する。 More...
Vector3 | GetVector3 (int id)
| Vector3型の値を取得する。 More...
bool | GetVector3 (string name, out Vector3 value)
| Vector3型の値を取得する。 More...
bool | GetVector3 (int id, out Vector3 value)
| Vector3型の値を取得する。 More...
bool | SetQuaternion (string name, Quaternion value)
| Quaternion型の値を設定する。 More...
bool | SetQuaternion (int id, Quaternion value)
| Quaternion型の値を設定する。 More...
bool | TryGetQuaternion (string name, out Quaternion value)
| Quaternion型の値を取得する。 More...
bool | TryGetQuaternion (int id, out Quaternion value)
| Quaternion型の値を取得する。 More...
Quaternion | GetQuaternion (string name, Quaternion defaultValue)
| Quaternion型の値を取得する。 More...
Quaternion | GetQuaternion (string name)
| Quaternion型の値を取得する。 More...
Quaternion | GetQuaternion (int id, Quaternion defaultValue)
| Quaternion型の値を取得する。 More...
Quaternion | GetQuaternion (int id)
| Quaternion型の値を取得する。 More...
bool | GetQuaternion (string name, out Quaternion value)
| Quaternion型の値を取得する。 More...
bool | GetQuaternion (int id, out Quaternion value)
| Quaternion型の値を取得する。 More...
bool | SetRect (string name, Rect value)
| Rect型の値を設定する。 More...
bool | SetRect (int id, Rect value)
| Rect型の値を設定する。 More...
bool | TryGetRect (string name, out Rect value)
| Rect型の値を取得する。 More...
bool | TryGetRect (int id, out Rect value)
| Rect型の値を取得する。 More...
Rect | GetRect (string name, Rect defaultValue)
| Rect型の値を取得する。 More...
Rect | GetRect (string name)
| Rect型の値を取得する。 More...
Rect | GetRect (int id, Rect defaultValue)
| Rect型の値を取得する。 More...
Rect | GetRect (int id)
| Rect型の値を取得する。 More...
bool | GetRect (string name, out Rect value)
| Rect型の値を取得する。 More...
bool | GetRect (int id, out Rect value)
| Rect型の値を取得する。 More...
bool | SetBounds (string name, Bounds value)
| Bounds型の値を設定する。 More...
bool | SetBounds (int id, Bounds value)
| Bounds型の値を設定する。 More...
bool | TryGetBounds (string name, out Bounds value)
| Bounds型の値を取得する。 More...
bool | TryGetBounds (int id, out Bounds value)
| Bounds型の値を取得する。 More...
Bounds | GetBounds (string name, Bounds defaultValue)
| Bounds型の値を取得する。 More...
Bounds | GetBounds (string name)
| Bounds型の値を取得する。 More...
Bounds | GetBounds (int id, Bounds defaultValue)
| Bounds型の値を取得する。 More...
Bounds | GetBounds (int id)
| Bounds型の値を取得する。 More...
bool | GetBounds (string name, out Bounds value)
| Bounds型の値を取得する。 More...
bool | GetBounds (int id, out Bounds value)
| Bounds型の値を取得する。 More...
bool | SetColor (string name, Color value)
| Color型の値を設定する。 More...
bool | SetColor (int id, Color value)
| Color型の値を設定する。 More...
bool | TryGetColor (string name, out Color value)
| Color型の値を取得する。 More...
bool | TryGetColor (int id, out Color value)
| Color型の値を取得する。 More...
Color | GetColor (string name, Color defaultValue)
| Color型の値を取得する。 More...
Color | GetColor (string name)
| Color型の値を取得する。 More...
Color | GetColor (int id, Color defaultValue)
| Color型の値を取得する。 More...
Color | GetColor (int id)
| Color型の値を取得する。 More...
bool | GetColor (string name, out Color value)
| Color型の値を取得する。 More...
bool | GetColor (int id, out Color value)
| Color型の値を取得する。 More...
bool | SetGameObject (string name, GameObject value)
| GameObject型の値を設定する。 More...
bool | SetGameObject (int id, GameObject value)
| GameObject型の値を設定する。 More...
bool | TryGetGameObject (string name, out GameObject value)
| GameObject型の値を取得する。 More...
bool | TryGetGameObject (int id, out GameObject value)
| GameObject型の値を取得する。 More...
GameObject | GetGameObject (string name, GameObject defaultValue=null)
| GameObject型の値を取得する。 More...
GameObject | GetGameObject (int id, GameObject defaultValue=null)
| GameObject型の値を取得する。 More...
bool | GetGameObject (string name, out GameObject value)
| GameObject型の値を取得する。 More...
bool | GetGameObject (int id, out GameObject value)
| GameObject型の値を取得する。 More...
bool | SetTransform (string name, Transform value)
| Transform型の値を設定する。 More...
bool | SetTransform (int id, Transform value)
| Transform型の値を設定する。 More...
bool | TryGetTransform (string name, out Transform value)
| Transform型の値を取得する。 More...
bool | TryGetTransform (int id, out Transform value)
| Transform型の値を取得する。 More...
Transform | GetTransform (string name, Transform defaultValue=null)
| Transform型の値を取得する。 More...
Transform | GetTransform (int id, Transform defaultValue=null)
| Transform型の値を取得する。 More...
bool | GetTransform (string name, out Transform value)
| Transform型の値を取得する。 More...
bool | GetTransform (int id, out Transform value)
| Transform型の値を取得する。 More...
bool | SetRectTransform (string name, RectTransform value)
| RectTransform型の値を設定する。 More...
bool | SetRectTransform (int id, RectTransform value)
| RectTransform型の値を設定する。 More...
bool | TryGetRectTransform (string name, out RectTransform value)
| RectTransform型の値を取得する。 More...
bool | TryGetRectTransform (int id, out RectTransform value)
| RectTransform型の値を取得する。 More...
RectTransform | GetRectTransform (string name, RectTransform defaultValue=null)
| RectTransform型の値を取得する。 More...
RectTransform | GetRectTransform (int id, RectTransform defaultValue=null)
| RectTransform型の値を取得する。 More...
bool | GetRectTransform (string name, out RectTransform value)
| RectTransform型の値を取得する。 More...
bool | GetRectTransform (int id, out RectTransform value)
| RectTransform型の値を取得する。 More...
bool | SetRigidbody (string name, Rigidbody value)
| Rigidbody型の値を設定する。 More...
bool | SetRigidbody (int id, Rigidbody value)
| Rigidbody型の値を設定する。 More...
bool | TryGetRigidbody (string name, out Rigidbody value)
| Rigidbody型の値を取得する。 More...
bool | TryGetRigidbody (int id, out Rigidbody value)
| Rigidbody型の値を取得する。 More...
Rigidbody | GetRigidbody (string name, Rigidbody defaultValue=null)
| Rigidbody型の値を取得する。 More...
Rigidbody | GetRigidbody (int id, Rigidbody defaultValue=null)
| Rigidbody型の値を取得する。 More...
bool | GetRigidbody (string name, out Rigidbody value)
| Rigidbody型の値を取得する。 More...
bool | GetRigidbody (int id, out Rigidbody value)
| Rigidbody型の値を取得する。 More...
bool | SetRigidbody2D (string name, Rigidbody2D value)
| Rigidbody2D型の値を設定する。 More...
bool | SetRigidbody2D (int id, Rigidbody2D value)
| Rigidbody2D型の値を設定する。 More...
bool | TryGetRigidbody2D (string name, out Rigidbody2D value)
| Rigidbody2D型の値を取得する。 More...
bool | TryGetRigidbody2D (int id, out Rigidbody2D value)
| Rigidbody2D型の値を取得する。 More...
Rigidbody2D | GetRigidbody2D (string name, Rigidbody2D defaultValue=null)
| Rigidbody2D型の値を取得する。 More...
Rigidbody2D | GetRigidbody2D (int id, Rigidbody2D defaultValue=null)
| Rigidbody2D型の値を取得する。 More...
bool | GetRigidbody2D (string name, out Rigidbody2D value)
| Rigidbody2D型の値を取得する。 More...
bool | GetRigidbody2D (int id, out Rigidbody2D value)
| Rigidbody2D型の値を取得する。 More...
bool | SetComponent (string name, Component value)
| Component型の値を設定する。 More...
bool | SetComponent (int id, Component value)
| Component型の値を設定する。 More...
bool | TryGetComponent (string name, out Component value)
| Component型の値を取得する。 More...
bool | TryGetComponent (int id, out Component value)
| Component型の値を取得する。 More...
Component | GetComponent (string name, Component defaultValue=null)
| Component型の値を取得する。 More...
Component | GetComponent (int id, Component defaultValue=null)
| Component型の値を取得する。 More...
bool | SetComponent< TComponent > (string name, TComponent value)
| Component型の値を設定する。 More...
bool | SetComponent< TComponent > (int id, TComponent value)
| Component型の値を設定する。 More...
bool | TryGetComponent< TComponent > (string name, out TComponent value)
| Component型の値を取得する。 More...
bool | TryGetComponent< TComponent > (int id, out TComponent value)
| Component型の値を取得する。 More...
TComponent | GetComponent< TComponent > (string name, TComponent defaultValue=null)
| Component型の値を取得する。 More...
TComponent | GetComponent< TComponent > (int id, TComponent defaultValue=null)
| Component型の値を取得する。 More...
bool | SetVariable (string name, object value)
| Variableの値を設定する。 More...
bool | SetVariable (int id, object value)
| Variableの値を設定する。 More...
bool | TryGetVariable (string name, out object value)
| Variableの値を取得する。 More...
bool | TryGetVariable (int id, out object value)
| Variableの値を取得する。 More...
object | GetVariable (string name, object defaultValue=null)
| Variableの値を取得する。 More...
object | GetVariable (int id, object defaultValue=null)
| Variableの値を取得する。 More...
bool | SetVariable< TVariable > (string name, TVariable value)
| Variableの値を設定する。 More...
bool | SetVariable< TVariable > (int id, TVariable value)
| Variableの値を設定する。 More...
bool | TryGetVariable< TVariable > (string name, out TVariable value)
| Variableの値を取得する。 More...
bool | TryGetVariable< TVariable > (int id, out TVariable value)
| Variableの値を取得する。 More...
TVariable | GetVariable< TVariable > (string name, TVariable defaultValue=default(TVariable))
| Variableの値を取得する。 More...
TVariable | GetVariable< TVariable > (int id, TVariable defaultValue=default(TVariable))
| Variableの値を取得する。 More...
Parameter | FindParameterContainsVariable (VariableBase variable)
| VariableBaseが属しているParameterの取得。 More...
void | DestroySubComponents ()
| 内部的に使用するメソッド。特に呼び出す必要はありません。 More...
Static Public Member Functions inherited from ParameterContainerInternal
static ParameterContainerInternal | Create (GameObject gameObject, System.Type type)
| ParameterContainerを作成する。 More...
static ParameterContainerInternal | Create (GameObject gameObject, System.Type type, Object owner)
| ParameterContainerを作成する。 More...
static void | Destroy (ParameterContainerInternal parameterContainer)
| ParameterContainerInternalの破棄 More...
Properties inherited from ParameterContainerInternal
Object | owner`[get, set]`
| このParameterContainerの所有者であるObject More...
Parameter[] | parameters`[get]`
| パラメータの配列を取得。 More...
int | parameterCount`[get]`
| Parameterの数を取得。 More...
bool | isDeserialized`[get]`
| デシリアライズ済みかどうかを返す。 More...
Properties inherited from ParameterContainerBase
ParameterContainerInternal | container`[get]`
| 実体のParameterContainerを返す。 More...
ParameterContainerInternal | defaultContainer`[get]`
| 元のParameterContainerを返す。 More...
Events inherited from ParameterContainerInternal
System.Action | onAfterDeserialize
| デシリアライズ後のコールバック More...

## Detailed Description

パラメータを格納するためのコンポーネント。
GameObjectにアタッチして使用する。